Skip to main content
POST
payment_account.created
{}

Authorizations

Authorization
string
header
required

To authenticate server-side requests

Body

application/json

Response schema for a payment account

paymentAccountId
string<uuid>
required

The id of the payment account

Example:

"03b7030f-6da1-4d76-9352-cdebd82112c8"

paymentAccountType
enum<string>
required

Type of payment account to create

Available options:
FERN_CRYPTO_WALLET,
EXTERNAL_CRYPTO_WALLET,
EXTERNAL_BANK_ACCOUNT,
FERN_AUTO_FIAT_ACCOUNT,
FERN_FIAT_ACCOUNT
Example:

"EXTERNAL_BANK_ACCOUNT"

paymentAccountStatus
enum<string>
required

The status of the payment account

Available options:
PENDING,
ACTIVE,
DEACTIVATED
Example:

"ACTIVE"

nickname
string

Nickname for customer to use for the payment account

Example:

"Savings Account"

createdAt
string<date-time>

ISO timestamp when this transaction was created

customerId
string<uuid>

The id of the customer this payment account belongs to

Example:

"03b7030f-6da1-4d76-9352-cdebd82112c8"

externalBankAccount
External Bank Account Response Schema · object

Response schema for external bank accounts

fernAutoFiatAccount
Fern Auto Fiat Account Response Schema · object

Response schema for Fern auto fiat accounts

fernFiatAccount
Fern Fiat Account Response Schema · object

Response schema for Fern fiat accounts

externalCryptoWallet
External Crypto Wallet Response Schema · object

Response schema for external crypto wallets

fernCryptoWallet
Fern Crypto Wallet Response Schema · object

Response schema for Fern crypto wallets

isThirdParty
boolean
default:false

Whether the payment account is a third-party account. Defaults to false.

Example:

false

Response

200

Acknowledged